
/* 	Copyright John D. "smeezekitty" 2017
	
	FreeNBTV is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FreeNBTV is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FreeNBTV.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <libavformat/avformat.h>
#include <portaudio.h>
#include "nbtv_format.h"
#include "input.h"
#include "gui.h"
#include "nbtv_gen.h"

#ifdef main
#undef main
#endif
char running = 1;
/*
int GUI_thread(void *p){
	while(running){
		if(!gui_tick()){
			running = 0;
		}
		SDL_Delay(100);
	}
}
*/
int main(int argc, char **argv){
	gtk_init(&argc, &argv);
	if(SDL_Init(SDL_INIT_VIDEO | SDL_INIT_AUDIO)){
		error("Error initializing SDL\n");
		exit(1);
	} 
	setvbuf(stdout, NULL, _IOLBF, 16);
	screen = SDL_SetVideoMode(480, 360, 24, 0);
	Pa_Initialize();
	av_register_all();
	gui_init();
	//SDL_CreateThread(GUI_thread, NULL);
	while(running){
		if(!gui_tick()){
			running = 0;
		}
		NBTV_gen_tick();
	}
	SDL_Quit();
	return 0;
}
